# ComposerSheet QML Type

Much like the DefaultSheet the Composer Sheet allows an application to insert a content view over the focused view without disrupting the navigation pattern. However the Composer Sheet is optimised for scenarios in which user content is at risk of corruption, most often (but not solely) when creating or editing content (e.g compose new message). There are two ways to dismiss it: user confirming the manipulation or user cancelling the manipulation, using the "confirm" and "cancel" buttons shown in the right and left side of the composer header. More...

Import Statement: | import Lomiri.Components.Popups 1.3
Inherits: | SheetBase

- List of all members, including inherited members

## Signals

- cancelClicked()
- confirmClicked()

## Detailed Description

Example:

    import Lomiri.Components 1.3
    import Lomiri.Components.Popups 1.3

    Item {
        Component {
            id: composerSheet
            ComposerSheet {
                id: sheet
                title: "Composer sheet"
                Label {
                    text: "A composer sheet has cancel and confirm buttons."
                }
                onCancelClicked: PopupUtils.close(sheet)
                onConfirmClicked: PopupUtils.close(sheet)
            }
        }

        Button {
            anchors.centerIn: parent
            text: "composer"
            width: units.gu(16)
            onClicked: PopupUtils.open(composerSheet)
        }
    }

Sheets are deprecated. Consider using Dialog, Popover or PageStack instead.

## Signal Documentation

cancelClicked()

The user clicked the "cancel" button.

Note: The corresponding handler is `onCancelClicked`.

confirmClicked()

The user clicked the "confirm" button.

Note: The corresponding handler is `onConfirmClicked`.